package com.actionbazaar.test;

import static org.junit.Assert.assertNotNull;

import javax.ejb.EJB;

import org.junit.Test;
import org.junit.runner.RunWith;

import com.actionbazaar.domain.Bid;
import com.actionbazaar.service.BidService;
import com.caucho.junit.ResinBeanConfiguration;
import com.caucho.junit.ResinBeanContainerRunner;

@RunWith(ResinBeanContainerRunner.class)
@ResinBeanConfiguration(beansXml = { "classpath:META-INF/beans.xml",
		"classpath:beans-test.xml" })
public class BidServiceTest {

	@EJB
	private BidService bidService;

	@Test
	public void testAddBid() {
		Bid bid = new Bid();
		bid.setBidder("rrahman");
		bid.setItem("Test item");
		bid.setAmount(100.50);

		bidService.addBid(bid);
	}

	@Test
	public void testGetBid() {
		Bid bid = bidService.getBid(1L);
		assertNotNull(bid);
	}

	@Test
	public void testUpdateBid() {
		Bid bid = bidService.getBid(1L);
		bid.setAmount(101.50);
		bidService.updateBid(bid);
	}

	@Test
	public void testDeleteBid() {
		Bid bid = bidService.getBid(1L);
		bidService.deleteBid(bid);
	}
}
